Rocky Linux 8 : dovecot (RLSA-2022:1950)

medium Nessus Plugin ID 161333

Synopsis

The remote Rocky Linux host is missing a security update.

Description

The remote Rocky Linux 8 host has packages installed that are affected by a vulnerability as referenced in the RLSA-2022:1950 advisory.

- The submission service in Dovecot before 2.3.15 allows STARTTLS command injection in lib-smtp. Sensitive information can be redirected to an attacker-controlled address. (CVE-2021-33515)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://errata.rockylinux.org/RLSA-2022:1950

https://bugzilla.redhat.com/show_bug.cgi?id=1973610

https://bugzilla.redhat.com/show_bug.cgi?id=1974508

Plugin Details

Severity: Medium

ID: 161333

File Name: rocky_linux_RLSA-2022-1950.nasl

Version: 1.2

Type: local

Published: 5/18/2022

Updated: 5/18/2022

Risk Information

VPR

Risk Factor: Low

Score: 2.5

CVSS v2

Risk Factor: Medium

Base Score: 5.8

Temporal Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-33515

CVSS v3

Risk Factor: Medium

Base Score: 4.8

Temporal Score: 4.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:rocky:linux:dovecot, p-cpe:/a:rocky:linux:dovecot-debuginfo, p-cpe:/a:rocky:linux:dovecot-debugsource, p-cpe:/a:rocky:linux:dovecot-devel, p-cpe:/a:rocky:linux:dovecot-mysql, p-cpe:/a:rocky:linux:dovecot-mysql-debuginfo, p-cpe:/a:rocky:linux:dovecot-pgsql, p-cpe:/a:rocky:linux:dovecot-pgsql-debuginfo, p-cpe:/a:rocky:linux:dovecot-pigeonhole, p-cpe:/a:rocky:linux:dovecot-pigeonhole-debuginfo, cpe:/o:rocky:linux:8

Required KB Items: Host/local_checks_enabled, Host/RockyLinux/release, Host/RockyLinux/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 5/18/2022

Vulnerability Publication Date: 6/28/2021

Reference Information

CVE: CVE-2021-33515

RLSA: 2022:1950